Bug 199059 - [PATCH] mail/rainloop: use OPTIONS_RADIO rather than OPTIONS_SINGLE
Summary: [PATCH] mail/rainloop: use OPTIONS_RADIO rather than OPTIONS_SINGLE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-31 06:03 UTC by Yasuhiro KIMURA
Modified: 2015-05-06 20:34 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (loic.blot)


Attachments
Use OPTIONS_RADIO rather than OPTIONS_RADIO. (595 bytes, patch)
2015-03-31 06:03 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2015-03-31 06:03:08 UTC
Created attachment 155042 [details]
Use OPTIONS_RADIO rather than OPTIONS_RADIO.

Use OPTIONS_RADIO rather than OPTIONS_RADIO since pdo_* is optional for rainloop.

While here, remove duplicated option definition.
Comment 1 loic.blot 2015-04-13 04:39:50 UTC
Approved
Comment 2 Kurt Jaeger freebsd_committer 2015-04-13 06:17:37 UTC
builds with poudriere on 10.1a, 9.3a, 8.4i, with new DEFAULT SQLITE. Please
approve change of default.
Comment 3 loic.blot 2015-05-06 08:48:41 UTC
It's okay for me as a default, sorry for the delay
Comment 4 commit-hook freebsd_committer 2015-05-06 19:04:38 UTC
A commit references this bug:

Author: rodrigo
Date: Wed May  6 19:04:32 UTC 2015
New revision: 385549
URL: https://svnweb.freebsd.org/changeset/ports/385549

Log:
  use OPTIONS_RADIO rather than OPTIONS_SINGLE

  PR:		199059
  Submitted by:	Yasuhiro KIMURA <freebsd.org@pob01.utahime.jp>

Changes:
  head/mail/rainloop/Makefile
Comment 5 Rodrigo Osorio freebsd_committer 2015-05-06 19:06:39 UTC
Committed with minor changes, thanks
Comment 6 Kurt Jaeger freebsd_committer 2015-05-06 19:34:19 UTC
In the same ticket is a question to change
OPTIONS_DEFAULT from MYSQL to SQLITE
as requested from danfe in

https://lists.freebsd.org/pipermail/svn-ports-all/2015-March/089312.html

and approved by the maintainer in

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199059#c3

Can you also commit this change ? That would be very nice!
Comment 7 Rodrigo Osorio freebsd_committer 2015-05-06 19:54:13 UTC
(In reply to Kurt Jaeger from comment #6)
agree
Comment 8 Rodrigo Osorio freebsd_committer 2015-05-06 20:34:49 UTC
Change OPTIONS_DEFAULT from MYSQL to SQLITE and bump PORTREVISION
Comment 9 commit-hook freebsd_committer 2015-05-06 20:34:53 UTC
A commit references this bug:

Author: rodrigo
Date: Wed May  6 20:34:12 UTC 2015
New revision: 385562
URL: https://svnweb.freebsd.org/changeset/ports/385562

Log:
  Change OPTIONS_DEFAULT from MYSQL to SQLITE
  Bump PORTREVISION

  PR:		199059

Changes:
  head/mail/rainloop/Makefile